# Uses of Annotation Interface
org.springframework.beans.factory.annotation.Configurable

Packages that use Configurable
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.

## Uses of Configurable in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation with parameters of type Configurable
Modifier and Type
Method
Description
`protected BeanWiringInfo`
AnnotationBeanWiringInfoResolver.`buildWiringInfo(Object beanInstance, Configurable annotation)`
Build the `BeanWiringInfo` for the given `Configurable` annotation.